Remove entities from a group
curl --request DELETE \
--url https://api.mentionlab.io/api/v1/entity-groups/{id}/entities \
--header 'Content-Type: application/json' \
--header 'x-project-id: <x-project-id>' \
--data '
{
"entityIds": [
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
}
'import requests
url = "https://api.mentionlab.io/api/v1/entity-groups/{id}/entities"
payload = { "entityIds": ["550e8400-e29b-41d4-a716-446655440000", "6ba7b810-9dad-11d1-80b4-00c04fd430c8"] }
headers = {
"x-project-id": "<x-project-id>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-project-id': '<x-project-id>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entityIds: ['550e8400-e29b-41d4-a716-446655440000', '6ba7b810-9dad-11d1-80b4-00c04fd430c8']
})
};
fetch('https://api.mentionlab.io/api/v1/entity-groups/{id}/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}Entity Groups
Remove entities from a group
Removes the given entities from the entity group; entities not currently in the group are unaffected.
DELETE
/
api
/
v1
/
entity-groups
/
{id}
/
entities
Remove entities from a group
Headers
Project ID to specify the project context
Path Parameters
Unique identifier (UUID) of the entity group to remove entities from.
Body
application/json
Entity IDs to assign to this group
Example:
[
"550e8400-e29b-41d4-a716-446655440000",
"6ba7b810-9dad-11d1-80b4-00c04fd430c8"
]
Response
Entities were removed from the group.